/* عرض محتوای صفحهٔ مقاله */
.single-post .site-main {
	width: min(100% - 32px, 800px);
	margin-inline: auto;
}

/* تصویر شاخص مقاله */
.single-article__featured-image {
	margin: 0px 0 0px !important;
	padding: 0;
	overflow: hidden;
	border-radius: 16px;
	aspect-ratio: 16 / 8;
}

.single-article__featured-image img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

/* گرد کردن کل عکس‌های مقاله */
.single-post img {
    border-radius: 16px !important;
}

/* تراز دوطرفهٔ متن مقاله */
.single-post .single-article__content {
	text-align: justify;
	text-justify: inter-word;
}

/* تنظیم تیترهای مقاله */
.single-post h1 {
	font-size: 24px;
	margin-top: 24px;
}
.single-post h2 {
	font-size: 22px;
}
.single-post h3 {
	font-size: 18px;
}
.single-post h4 {
	font-size: 16px;
}
.single-post h5 {
	font-size: 15px;
}
.single-post h6 {
	font-size: 14px;
}

/* تنظیم فاصله‌ی هدینگ‌ها در مقاله */
.single-post .single-article__content h2 {
    margin-top: -4px !important;    /* فاصله از پاراگراف بالایی */
    margin-bottom: 8px !important; /* فاصله تا پاراگراف پایینی */
}
.single-post .single-article__content h3 {
    margin-top: -4px !important;    /* فاصله از پاراگراف بالایی */
    margin-bottom: -8px !important; /* فاصله تا پاراگراف پایینی */
}
.single-post .single-article__content h4 {
    margin-top: -4px !important;    /* فاصله از پاراگراف بالایی */
    margin-bottom: -13px !important; /* فاصله تا پاراگراف پایینی */
}